%global momorel 2
Name: 		gstreamer
Version: 0.8.1
%define version_mm %(LC_ALL="C" echo %{version} | cut -d. -f1,2)
Release: %{momorel}m
Summary: 	GStreamer streaming media framework runtime.
Group: 		System Environment/Libraries
License: 	LGPL
URL:		http://gstreamer.net/
%NoSource 0 http://gstreamer.freedesktop.org/src/%{name}/%{name}-%{version}.tar.bz2 154c95169f343b53f15cc5a124ef673d
Patch0:		gstreamer-gtk-doc-version_check.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildPrereq: 	glib-devel >= 2.4.0
BuildPrereq: 	libxml2-devel >= 2.6.8
BuildPrereq: 	gtk-doc >= 1.2
BuildPrereq: 	zlib-devel >= 1.1.4-5m
BuildPrereq:	popt > 1.6
BuildPrereq:	autoconf
BuildPrereq:	libgnomeui-devel >= 2.6.0
Prereq:		/sbin/ldconfig

### documentation requirements
BuildPrereq:  openjade
BuildPrereq:  python
BuildPrereq:  docbook-style-dsssl docbook-dtds
BuildPrereq:  transfig

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package devel
Summary: 	Libraries/include files for GStreamer streaming media framework.
Group: 		Development/Libraries
Requires: %{name} = %{version}-%{release}

Requires: 	glib-devel
Requires: 	libxml2-devel
Requires: 	libgnomeui-devel

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -q

%build
./configure \
  --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
  --localstatedir=%{_localstatedir} \
  --disable-tests --disable-examples --disable-docs-build \
  --with-cashedir=%{_localstatedir}/cache/gstreamer-%{version_mm}
%ifarch ppc
# can't build tests/memchunk...
perl -p -i -e 's, memchunk,,' tests/Makefile
%endif
%make

%install  
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
rm -rf %{_localstatedir}/cache/gstreamer-%{version_mm}
export DISPLAY=''
%{_bindir}/gst-register > /dev/null 2> /dev/null

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO ABOUT-NLS REQUIREMENTS DOCBUILDING RELEASE 
%{_bindir}/gst-*
%dir %{_libdir}/gstreamer-%{version_mm}
%{_libdir}/gstreamer-%{version_mm}/*.so
%{_libdir}/lib*.so.*
%{_mandir}/man1/gst-*.1*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_libdir}/gstreamer-%{version_mm}/*a
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gst-element-check-%{version_mm}.m4
%{_includedir}/gstreamer-%{version_mm}

%changelog
* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.1-2m)
- adjustment BuildPreReq

* Fri Apr 16 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1
- GNOME 2.6 Desktop
- change source URL
- change location of %%changelog

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.4-1m)
- version 0.6.4

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.3-1m)
- version 0.6.3

* Tue Jun 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.2-1m)
- version 0.6.2

* Tue Apr 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-1m)
- version 0.6.1

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-2m)
- rebuild against zlib 1.1.4-5m

* Mon Feb 03 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-1m)
- version 0.6.0

* Thu Jan 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.2-1m)
- version 0.5.2

* Thu Jan 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.1-2m)
- modify post script
- localstatedir -> /var

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.1-1m)
- version 0.5.1

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.0-1m)
- version 0.5.0

* Sun Dec  1 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.4.2-3m)
- fix not configure but aclocal.m4

* Sun Dec 01 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.2-2m)
- add gstreamer-configure-gtk-doc.patch for configure at detect gtk-doc version

* Wed Nov 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.2-1m)
- import

* Sat Oct 12 2002 Christian Schaller <Uraeus@linuxrising.org>
- Updated to work better with default RH8 rpm
- Added missing unspeced files
- Removed .a and .la files from buildroot

* Sat Sep 21 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added gst-md5sum

* Tue Sep 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adding flex to buildrequires

* Fri Sep 13 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Fixed the schedulers after the renaming
* Sun Sep 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added transfig to the BuildRequires:

* Sat Jun 22 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved header location

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added popt
- removed .la

* Fri Jun 07 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added release of gstreamer to req of gstreamer-devel
- changed location of API docs to be in gtk-doc like other gtk-doc stuff
- reordered SPEC file

* Mon Apr 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved html docs to gtk-doc standard directory

* Tue Mar 5 2002 Thomas Vander Stichele <thomas@apestaart.org>
- move version defines of glib2 and libxml2 to configure.ac
- add BuildRequires for these two libs

* Sun Mar 3 2002 Thomas Vander Stichele <thomas@apestaart.org>
- put html docs in canonical place, avoiding %doc erasure
- added devhelp support, current install of it is hackish

* Sat Mar 2 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added documentation to build

* Mon Feb 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added libgstbasicscheduler
- renamed libgst to libgstreamer

* Fri Jan 04 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added configdir parameter as it seems the configdir gets weird otherwise

* Thu Jan 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- split off gstreamer-editor from core
- removed gstreamer-gnome-apps

* Sat Dec 29 2001 Rodney Dawes <dobey@free.fr>
- Cleaned up the spec file for the gstreamer core/plug-ins split
- Improve spec file

* Sat Dec 15 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split of more plugins from the core and put them into their own modules
- Includes colorspace, xfree and wav
- Improved package Require lines
- Added mp3encode (lame based) to the SPEC

* Wed Dec 12 2001 Christian Schaller <Uraeus@linuxrising.org>
- Thomas merged mpeg plugins into one
* Sat Dec 08 2001 Christian Schaller <Uraeus@linuxrising.org>
- More minor cleanups including some fixed descriptions from Andrew Mitchell

* Fri Dec 07 2001 Christian Schaller <Uraeus@linuxrising.org>
- Added logging to the make statement

* Wed Dec 05 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated in preparation for 0.3.0 release

* Fri Jun 29 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated for 0.2.1 release
- Split out the GUI packages into their own RPM
- added new plugins (FLAC, festival, quicktime etc.)

* Sat Jun 09 2001 Christian Schaller <Uraeus@linuxrising.org>
- Visualisation plugins bundled out togheter
- Moved files sections up close to their respective descriptions

* Sat Jun 02 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split the package into separate RPMS, 
  putting most plugins out by themselves.

* Fri Jun 01 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated with change suggestions from Dennis Bjorklund

* Tue Jan 09 2001 Erik Walthinsen <omega@cse.ogi.edu>
- updated to build -devel package as well

* Sun Jan 30 2000 Erik Walthinsen <omega@cse.ogi.edu>
- first draft of spec file
